\page page_README README

## Nom : ROV'NET

Le système ROV'NET est capable d'obtenir et gérer des données d'entrée afin de définir un environnement TQC (Tel Que Construit) en se déplaçant dans un milieu contaminé.

## Numéro de version : 1.0

## Auteurs

\author \a BOFFREDO Nicolas <nboffredo@gmail.com>

\author \a REYNIER Jacques <reynier.jacques@gmail.com>

## Dépôt SVN

https://svn.riouxsvn.com/rov-net

## Recette IR
 
- Étudiant : BOFFREDO Nicolas

- Étudiant : REYNIER Jacques

## Base de données SQLite

~~~ {.sql}
CREATE TABLE 'campagnes' ( 'nom' VARCHAR, 'description' VARCHAR, 'date' DATETIME, 'cheminArchives' VARCHAR, 'idOperateur' INTEGER, 'idCampagne' INTEGER PRIMARY KEY AUTOINCREMENT, FOREIGN KEY(idOperateur) REFERENCES operateurs(idOperateur) )

CREATE TABLE 'mesures' ( 'date' DATETIME, 'temperature' DOUBLE, 'irradiation' DOUBLE, 'idCampagne' INTEGER, FOREIGN KEY(idCampagne) REFERENCES campagnes(idCampagne) )

CREATE TABLE 'operateurs' ( 'nom' VARCHAR, 'prenom' VARCHAR, 'idOperateur' INTEGER PRIMARY KEY AUTOINCREMENT )
~~~

\mainpage Le projet ROV'NET

Le système ROV'NET est capable d'obtenir et gérer des données d'entrée afin de définir un environnement TQC (Tel Que Construit) en se déplaçant dans un milieu contaminé.

\author \a BOFFREDO Nicolas <nboffredo@gmail.com>

\author \a REYNIER Jacques <reynier.jacques@gmail.com>

\section section_tdm Table des matières
- \ref page_README
- \ref page_changelog
- \ref page_install
- \ref page_about
- \ref page_licence

\page page_about A propos
\author \a BOFFREDO Nicolas <nboffredo@gmail.com>
\author \a REYNIER Jacques <reynier.jacques@gmail.com>
\version 1.0
\date \b 2019

\page page_licence Licence GPL

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
